## libsdl-console 1.3

=== Makefile ===
#Makefile for the SDL_Console library

INCLUDE = `sdl-config --cflags` -lSDL_image
CC = gcc
C = CON_console.c CON_consolecommands.c DT_drawtext.c internal.c
OBJS = CON_console.o CON_consolecommands.o DT_drawtext.o internal.o
CFLAGS = -O2

prefix = $(DEST)/usr
libdir = $(prefix)/lib
incdir = $(prefix)/include/SDL

all: libSDL_console.so libSDL_console.a

libSDL_console.so: 
	$(CC) -c $(C) -fPIC $(INCLUDE)
	$(CC) -fPIC -shared $(OBJS) -o libSDL_console.so $(INCLUDE)

libSDL_console.a: $(OBJS)
	ar cru libSDL_console.a $(OBJS)

install:
	install -d $(libdir)
	install -d $(incdir)
	install libSDL_console.so $(libdir)
	install libSDL_console.a $(libdir)
	install CON_console.h $(incdir)
	install DT_drawtext.h $(incdir)

uninstall:
	rm -f $(libdir)libSDL_console.so
	rm -f $(incdir)/CON_console.h
	rm -f $(incdir)/DT_drawtext.h

clean:
	rm -f $(OBJ) libSDL_console.so libSDL_console.a core $(OBJS)
