## libsdl-console 2.1

=== debian/changelog ===
libsdl-console (2.1-6) unstable; urgency=medium

  * Bump Policy Standards-Version to 4.2.1 (no changes needed)
  * Switch to debhelper compat level 11
    - Drop 'docs/*.jpg' line from libsdl-console-dev.docs, the files do
      not exist and dh_installdocs exits with error in this compat level
  * Set "Rules-Requires-Root: no" in d/control
  * Drop explicit build-dependency on "dpkg-dev (>= 1.16.1~)", this
    version is now satisfied everywhere
  * d/watch:
    - Switch to version=4
    - Use https in URL
  * d/control, d/copyright: Use updated URLs of Homepage and use https in
    copyright Format
  * d/control: Update Vcs-* URLs

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 19 Oct 2018 20:23:10 +0200

libsdl-console (2.1-5) unstable; urgency=medium

  * Bump Policy Standards-Version to 4.0.0 (no changes needed)
  * Switch to debhelper compat level v10
    - dh flags --parallel are not needed
    - autoreconf is invoked by default
  * Update Vcs-* URLs
  * Minor updates to d/copyright
    - quell lintian about GPL and LGPL names
    - update maintainer address to @debian.org

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 21 Jun 2017 21:50:14 +0200

libsdl-console (2.1-4) unstable; urgency=medium

  * Bump Policy Standards-Version to 3.9.5 (no changes needed)
  * Remove field "DM-Upload-Allowed: yes", obsolete
  * Change maintainer address to @debian.org

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 08 Mar 2014 18:51:02 +0000

libsdl-console (2.1-3) unstable; urgency=low

  * Remove wrongly used "Multi-Arch: same" in -dev package.  One of the files
    shipped is actually different across architectures (Closes: #674494); thanks
    Jakub Wilk.

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Thu, 31 May 2012 00:07:45 +0100

libsdl-console (2.1-2) unstable; urgency=low

  * New upstream version (Closes: #207994)
  * Complete overhaul of the package:
    - debian/source/format to '3.0 (quilt)'
    - Extensive modifications for debhelper compat v9, including Multi-Arch,
      build-hardening and all goodies
    - Bump Policy Standars-Version to 3.9.3
    - debian/copyright rewritten with appropriate standard format
    - Revisit all patches
    - Remove all previous maintainers, inactive/unresponsive for years
    - updated lintian override

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 08 May 2012 16:01:42 +0200

libsdl-console (1.3-5) unstable; urgency=low

  [ Aurelien Jarno ]
  * debian/control:
    + Make the package binNMU safe. 
    + Set policy to 3.7.3.

  * debian/rules:
    + Call "make clean" instead of "make distclean", as the later target
      does not exists. (Closes: bug#424535).
    + Switch to dh_install from dh_movefiles

  * debian/copyright:
    + Add copyright entry.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 22 Apr 2008 21:53:28 +0200

libsdl-console (1.3-4) unstable; urgency=low

  * Moved development to the pkg-sdl Alioth project.

  * debian/rules:
    + Use quilt for patch management.
    + Do not compress the examples.
  * debian/control:
    + Added missing "Section: libs" for the source package.
    + Build-depend on quilt.
    + Set the SDL team as the maintainer and added its members to the
      uploaders field.
    + Build-depend on debhelper (>= 4.0).
    + Set policy to 3.6.2.
  * debian/compat:
    + Set compatibility level to 4.

  * debian/patches/000_autoconf.diff:
    + Put the autoconf stuff in this separate patch.
    + Build with -Wall.

  * debian/patches/010_examples.diff:
    + Fix the example and its makefile.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu,  2 Mar 2006 03:29:17 +0100

libsdl-console (1.3-3) unstable; urgency=low

  * New maintainer (Closes: #214945).
  * Maintainer upload.
  * Acknowledging previous NMU (Closes: #190291, #194054, #189441).
  * debian/control:
    + Set policy to 3.6.1.0.
    + Rephrased long description.
  * debian/rules:
    + Used debian/compat instead of DH_COMPAT.
    + Install into debian/libsdl-console instead of debian/tmp
    + Properly install examples in the -dev package.
    + Install documentation in the main library package.
  * Makefile.in:
    + Changed .sho extensions to .lo.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 10 Oct 2003 09:59:04 +0200

libsdl-console (1.3-2.2) unstable; urgency=low

  * NMU.
  * Moved the .so symlink to the -dev package (Closes: #190291).
  * Added -fpic to the shared objects compilation rule.
  * Fixed a quoted-printable "=3D" in Makefile.in that should have been an "="
    and a few other typos that were causing the shared library to be empty.
  * Changed the "%.c: %.sho" rule to "%.sho: %.c" so that shared objects get
    compiled properly.
  * Set dependency in shlib file to (>= 1.3-2.2) because all previous versions
    were utterly broken (Closes: #194054).
  * Header files are now installed with -m 644 because we do not want them to
    be executable.
  * Various minor packaging changes:
    + Set policy to 3.5.10.
    + Replaced "Author(s):" with "Author:" in the copyright file.
    + Set the -dev package's section to libdevel.
    + Made /usr/share/doc/libsdl-console-dev a symlink to libsdl-console.
    + Word-wrapped the package descriptions.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun,  1 Jun 2003 21:44:44 -0400

libsdl-console (1.3-2.1) unstable; urgency=low

  * NMU
  * Have debian/rules make configure executable.  Closes: #189441

 -- LaMont Jones <lamont@debian.org>  Mon, 12 May 2003 09:20:41 -0600

libsdl-console (1.3-2) unstable; urgency=low

  * Built with a SONAME (Thanks to Josselin Mouette, closes: #184559) 

 -- Julien Danjou <acid@debian.org>  Thu,  3 Apr 2003 20:12:59 +0200

libsdl-console (1.3-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Tue,  1 Oct 2002 20:35:03 +0200

libsdl-console (1.2-1) unstable; urgency=low

  * New upstream release

