=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

#export DEB_BUILD_MAINT_OPTIONS  := hardening=+all
export DEB_CFLAGS_MAINT_APPEND  := -pipe -Wall
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined -Wl,--as-needed


%:
	dh $@
