=== debian/watch ===
version=4
https://sf.net/sdlconsole/sdlconsole-(\d[\d\.]+)\.tar\.(?:gz|bz2|lzma|xz)
